%define	desktop_vendor	planetccrma

Summary: MIDI organ with full auto-accompaniment
Name: gmorgan
Version: 0.25
Release: 2%{?dist}
URL: http://gmorgan.sf.net/
Source0: gmorgan-%{version}.tar.gz
Source1: gmorgan-doc.tar.gz
Source2: gmorgan.desktop
Source3: gmorgan.png
Patch0: gmorgan-0.25-x86_64.patch
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils alsa-lib-devel fltk-devel
BuildRequires: libjpeg-devel libpng-devel gettext-devel
%if "%{fedora}" >= "5"
BuildRequires: libX11-devel
%else
BuildRequires: XFree86-devel
%endif

%description
gmorgan is a modern MIDI organ with full auto-accompaniment. It
emulates a Rythm Station. In other words, if you have a computer and a
midi keyboard, it gives you that funky Yaland/Romaha keyboard you have
seen costing more than 1000 euros/dollars. Yeah you know, the one that
let you play whole songs with only one finger! Now the show-biz doors
are wide open to you.

Because there is a chord sequencer too, you can use gmorgan like
a... Band in a (linux) box! It's not so complete, but it's working
right now. Some songs are included to play along with, for training of
just for fun.

%prep
%setup -q
%ifarch x86_64
%patch0 -p1
%endif

%build
%configure
# fix broken localedir in po/Makefile
%{__perl} -p -i -e "s|\@localedir\@|%{_datadir}/locale|g" po/Makefile
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} MKINSTALLDIRS=%{_builddir}/gmorgan-%{version}/mkinstalldirs \
          DESTDIR=%{buildroot} install

# copy icon to freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
%{__cp} %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/

# desktop file categories
BASE="Applications AudioVideo Audio"
XTRA="X-MIDI Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE2}

# add documentation
%{__tar} xzf %{SOURCE1}
%{__mv} gmorgan-doc doc

%find_lang gmorgan

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f gmorgan.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README doc/gmorgan*
%{_bindir}/gmorgan
%{_datadir}/gmorgan
%{_datadir}/applications/*gmorgan.desktop
%{_datadir}/icons/hicolor/128x128/apps/*

%changelog
* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Wed Jun  6 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- fix @localedir@ in po/Makefile for fc7 build

* Wed May  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- fixed "Application" typo, should be "Applications"

* Tue Dec 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.25-2
- spec file tweaks, put icon in freedestop location, post/postun
  scripts, use find_lang, build on fc6
- try to fix build errors on x86_64, see patch0

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.25-1
- update to 0.25
- add Planet CCRMA categories to desktop file

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- proper build dependencies for fc5

* Fri Dec 31 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added gettext-devel build dependency

* Mon Dec 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.24-1
- updated to 0.24
- spec file cleanup

* Sun Jul  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.23-1
- updated to 0.23

* Mon May 10 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires

* Wed Feb  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.22-1
- updated to 0.22

* Tue Jan 13 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.21-1
- updated to 0.21
- fix MKINSTALLDIRS for /po directory install
- added local files
- add documentation (now a separate tarball)

* Fri Dec 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.18-1
- updated to 0.18
- added pdf and xsw documentation to doc file list
- added icon (sort of, just using the logo)

* Mon Sep 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.17-1
- updated to 0.17

* Thu Sep 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.16-1
- updated to 0.16

* Mon Sep  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-1
- updated to 0.15

* Tue Aug 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.14-1
- updated to 0.14

* Mon Aug 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.13-1
- updated to 0.13

* Thu Aug 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12-1
- updated to 0.12

* Sun Aug 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.11-1
- updated to 0.11

* Thu Aug  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.10-1
- initial build
